Last Comment Bug 762435 - Make progress labelable again
: Make progress labelable again
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla16
Assigned To: Mounir Lamouri (:mounir)
:
Mentors:
Depends on: 762434
Blocks: 686913 748238 762047
  Show dependency treegraph
 
Reported: 2012-06-07 04:33 PDT by Mounir Lamouri (:mounir)
Modified: 2012-08-07 06:28 PDT (History)
5 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
affected
+
verified
fixed


Attachments
Patch (1.67 KB, patch)
2012-06-07 04:33 PDT, Mounir Lamouri (:mounir)
bzbarsky: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
mounir: checkin+
Details | Diff | Review

Description Mounir Lamouri (:mounir) 2012-06-07 04:33:16 PDT
Created attachment 630920 [details] [diff] [review]
Patch

That was broken in bug 686913.

Tests will come with bug 762047.
Comment 1 Boris Zbarsky [:bz] 2012-06-07 11:10:11 PDT
Comment on attachment 630920 [details] [diff] [review]
Patch

r=me
Comment 2 Ed Morley [:emorley] 2012-06-08 13:59:02 PDT
https://hg.mozilla.org/mozilla-central/rev/0f7995b75365
Comment 3 Mounir Lamouri (:mounir) 2012-06-08 14:29:00 PDT
Comment on attachment 630920 [details] [diff] [review]
Patch

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 686913
User impact if declined: <label><progress></progress></label> will not work
Risk to taking this patch (and alternatives if risky): low, labelling might not work as expected.
String or UUID changes made by this patch: none with that one, but some with bug 762434 like Element UUID update.
Comment 4 Alex Keybl [:akeybl] 2012-06-11 13:04:09 PDT
(In reply to Mounir Lamouri (:volkmar) (:mounir) from comment #3)
> String or UUID changes made by this patch: none with that one, but some with
> bug 762434 like Element UUID update.

Is this fix dependent on bug 762434? Will it be nominated for Aurora approval as well?
Comment 5 Mounir Lamouri (:mounir) 2012-06-12 02:01:19 PDT
(In reply to Alex Keybl [:akeybl] from comment #4)
> (In reply to Mounir Lamouri (:volkmar) (:mounir) from comment #3)
> > String or UUID changes made by this patch: none with that one, but some with
> > bug 762434 like Element UUID update.
> 
> Is this fix dependent on bug 762434? Will it be nominated for Aurora
> approval as well?

Indeed. I forgot about that. It is now done.
Comment 6 Lukas Blakk [:lsblakk] use ?needinfo 2012-06-15 17:48:42 PDT
Comment on attachment 630920 [details] [diff] [review]
Patch

[Triage Comment]
Approved along with bug 762434, we should have sufficient bake time on this to catch regressions.
Comment 7 Mounir Lamouri (:mounir) 2012-06-20 10:34:22 PDT
Pushed in Aurora: https://hg.mozilla.org/releases/mozilla-aurora/rev/bde27ed49c7c
Comment 8 Scoobidiver (away) 2012-07-16 00:54:34 PDT
Target Milestone is for m-c.
Comment 9 Ioana (away) 2012-08-07 06:28:08 PDT
Verified as fixed on:
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:15.0) Gecko/20100101 Firefox/15.0
Mozilla/5.0 (Windows NT 6.1; rv:15.0) Gecko/20100101 Firefox/15.0
Build identifier: Mozilla/5.0 (X11; Linux x86_64; rv:15.0) Gecko/20100101 Firefox/15.0

Progress is labelable again.

Note You need to log in before you can comment on or make changes to this bug.